> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Group Connection with Existing Group

> Retry a carrier connection for an existing group



## OpenAPI

````yaml PUT /api/v1/group_connections/{connection_id}/retry
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/group_connections/{connection_id}/retry:
    put:
      tags:
        - Group Connections
      summary: Retry an existing group connection for an existing group
      description: Retry a carrier connection for an existing group
      operationId: retryGroupConnectionWithExistingGroup
      parameters:
        - description: >-
            The unique identifier of the group connection that needs to be
            reprocessed
          in: path
          name: connection_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                value:
                  carrier_group_id: '10000001'
            schema:
              $ref: '#/components/schemas/GroupSetupRequestPublicAPIRetryRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                created: 1667866198
                group_data:
                  carrier_group_id: '10000001'
                group_id: 47c07963-2e34-4da2-86b4-cbc3c57111c1
                id: 5e20ea6a-8027-464a-941a-867c115c846d
                modified: 1667866198
                organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                request_type: incremental
                status: processing
                version: 608c6f37-5945-4987-b247-0b5acdf85034
              schema:
                $ref: '#/components/schemas/GroupSetupRequestPublicResult'
          description: Successful Response - Returns the updated Group Connection
components:
  schemas:
    GroupSetupRequestPublicAPIRetryRequest:
      properties:
        broker_federal_ein:
          description: >-
            Brokerage or Organization Federal Employer Identification Number for
            the group's broker. 
          example: '123123123'
          type: string
        broker_tin:
          description: >-
            Invidividual or DRLP Federal Tax Identification Number for the
            group's broker. Format can be either an EIN or SSN
          example: '123123123'
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          minLength: 1
          type: string
        employer_email_address:
          description: Email address of the group's employer
          example: employer@example.com
          type: string
        federal_ein:
          description: Federal Employer Identification Number for the new group/company
          example: '123123123'
          type: string
      type: object
      x-field_order: []
    GroupSetupRequestPublicResult:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        completed:
          description: >-
            Timestamp indicating when a group connection was marked as
            completed.
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        federal_ein:
          description: Federal Employer Identification Number for the group
          readOnly: true
          type: string
        group_data:
          allOf:
            - $ref: '#/components/schemas/GroupSetupRequestPublicGroupDataResult'
          description: Carrier-specific data to execute a group connection
        group_id:
          description: ID of associated group model
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group connection in Noyo
          format: uuid
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          readOnly: true
          type: string
        request_type:
          description: Type of the group connection
          readOnly: true
          type: string
        setup_result:
          description: More information about the result of the group connection
          readOnly: true
          type: object
        status:
          description: Status of the group connection
          enum:
            - created
            - processing
            - noyo_review
            - waiting_on_carrier
            - carrier_authorization
            - action_required
            - unable_to_connect
            - completed
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_data
        - id
        - modified
        - organization_id
        - request_type
        - setup_metadata
        - setup_result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - completed
        - organization_id
        - group_id
        - carrier_id
        - request_type
        - status
        - group_data
        - setup_result
        - federal_ein
    GroupSetupRequestPublicGroupDataResult:
      properties:
        broker_federal_ein:
          description: Broker federal EIN, used in Principal groups
          readOnly: true
          type: string
        broker_tin:
          description: Broker TIN, used in Anthem groups
          readOnly: true
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          readOnly: true
          type: string
        employer_email_address:
          description: Email address of the group's employer
          readOnly: true
          type: string
        group_name:
          description: Name for the group in the Noyo system
          readOnly: true
          type: string
      required:
        - carrier_group_id
        - group_name
      type: object

````